Subject: RE: [midcom] R75

From: "Reinaldo Penno" <[email-masked]>
Date: Wed, 17 Oct 2001 18:42:48 -0700

Hello Melinda,

> -----Original Message-----
> From: Melinda Shore [mailto:[email-masked]]
> Sent: Wednesday, October 17, 2001 5:33 PM
> To: Penno, Reinaldo [SC9:T327:EXCH]; [email-masked]'
> Subject: RE: [midcom] R75
> 
> 
> At 02:10 PM 10/17/01 -0700, Reinaldo Penno wrote:
> >Are we saying that in the case of, for instance BGP, where 
> ingress and egress traffic can take different paths and pass 
> through different MBs, MIDCOM will not work OR that it will 
> work on any topology but IF routing changes then it might fails?
> >
> >If we are somewhat restricting MIDCOM usage to certain 
> topologies or routing configurations I disagree. 
> 
> If you've read my network-friendlier draft you'll find that
> I believe that midcom is self-limiting regarding topology - there
> are some topologies that simply won't work.  We went into this
> knowing that we were going to be violating network layer
> boundaries.  I don't think we fully appreciated the extent to
> which that violation would affect topological concerns.  There
> is simply no way to make middleboxes robust across routing
> changes without profound changes to middlebox functions

This is much I agree (NOT be robust across routing changes) . What I
disagreed (and asked clarification) was if R75 was implying some sort of
topological restriction to the use of MIDCOM, although I agree that
inevitably there will be some.

regards,

-Reinaldo